# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Data/Cmp.pm) perl(Data/Combination.pm) perl(Export/These.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/IP/Lite.pm)
# END SourceDeps(oneline)
%define module_name Socket-More
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.3
Release: alt1
Summary: List network interfaces and scope passive sockets to them
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DR/DRCLAW/%{module_name}-v%{version}.tar.gz

%description
At the surface level this module is a binding to `getifaddrs',
`if_nametoindex', `if_indextoname' and `if_nameindex' to query the
interfaces available on the host machine.

However its main purpose is to concisely generate data structures needed to
bind multiple passive (listen) sockets scoped to an named interface. It
implements the combinatorics, filtering of invalid combinations and a terse
command line processing option to make configuring passive sockets easy.

It solves problems like this:

_'listen on interfaces eth0 and eth1, using IPv6 and port numbers 9090
_and 9091, but limit to link local addresses, and stream types'.

_'listen on eth0 and unix, port 1000 and path test.sock, using datagram
_type sockets,'.

_'listen on all interfaces on port 8080 and 8081, but only on link local
_ipv6 address'


It also makes it easy to generate 'random' ports to bind to, before your
program binds, to aid in testing server scenarios.



All subroutines are exported, including all symbols from `Socket'. 

Please see the the API manpage section for a complete listing.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md README examples
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Fri Dec 01 2023 Igor Vlasenko <viy@altlinux.org> 0.4.3-alt1
- initial import by package builder

